<%@ Page Language="C#" %>
<script runat="server">

    void SomethingChanged(object sender, EventArgs e)
    {
        if (sender == this.MrRadioButton || sender == this.MrsRadioButton || sender == MissRadioButton)
        {
            if (this.MrRadioButton.Checked)
            {
                this.TitleLabel.Text = "Mr. ";
            }
            else if (this.MrsRadioButton.Checked)
            {
                this.TitleLabel.Text = "Mrs. ";
            }
            else if (this.MissRadioButton.Checked)
            {
                this.TitleLabel.Text = "Miss ";
            }
        }

        this.NameLabel.Text = NameTextBox.Text;
    }

</script>
<html>
<head>
    <title>自動的に会話状態が引き継がれるケース</title>
</head>
<body>
    <form runat="server">
        <p>
            <asp:RadioButton id="MrRadioButton" runat="server" AutoPostBack="True" OnCheckedChanged="SomethingChanged" GroupName="TitleGroup" Text="Mr."></asp:RadioButton>
            <asp:RadioButton id="MrsRadioButton" runat="server" AutoPostBack="True" OnCheckedChanged="SomethingChanged" GroupName="TitleGroup" Text="Mrs."></asp:RadioButton>
            <asp:RadioButton id="MissRadioButton" runat="server" AutoPostBack="True" OnCheckedChanged="SomethingChanged" GroupName="TitleGroup" Text="Miss"></asp:RadioButton>
            <asp:TextBox id="NameTextBox" runat="server" AutoPostBack="True" OnTextChanged="SomethingChanged"></asp:TextBox>
        </p>
        <p>
            こんにちは、
            <asp:Label id="TitleLabel" runat="server"></asp:Label>
            <asp:Label id="NameLabel" runat="server"></asp:Label>
        </p>
    </form>
</body>
</html>

