<%@ Page Language="C#" %>
<script runat="server">

    void SomethingChanged(object sender, EventArgs e)
    {
        string title = "";

        if (sender == this.MrRadioButton || sender == this.MrsRadioButton || sender == MissRadioButton)
        {
            if (this.MrRadioButton.Checked)
            {
                title = "Mr. ";
            }
            else if (this.MrsRadioButton.Checked)
            {
                title = "Mrs. ";
            }
            else if (this.MissRadioButton.Checked)
            {
                title = "Miss ";
            }

            //  ViewStateに値を設定。
            this.ViewState["title"] = title;
        }
        else
        {
            //  ViewStateから値を取得。
            title = this.ViewState["title"] as string;
        }

        this.GreetingLabel.Text = "こんにちは、" + title + NameTextBox.Text;
    }

</script>
<html>
<head>
    <title>ViewStateで会話状態を保存</title>
</head>
<body>
    <form runat="server">
        <p>
            <asp:RadioButton id="MrRadioButton" runat="server" AutoPostBack="True" OnCheckedChanged="SomethingChanged" GroupName="TitleGroup" Text="Mr."></asp:RadioButton>
            <asp:RadioButton id="MrsRadioButton" runat="server" AutoPostBack="True" OnCheckedChanged="SomethingChanged" GroupName="TitleGroup" Text="Mrs."></asp:RadioButton>
            <asp:RadioButton id="MissRadioButton" runat="server" AutoPostBack="True" OnCheckedChanged="SomethingChanged" GroupName="TitleGroup" Text="Miss"></asp:RadioButton>
            <asp:TextBox id="NameTextBox" runat="server" AutoPostBack="True" OnTextChanged="SomethingChanged"></asp:TextBox>
        </p>
        <p>
            <asp:Label id="GreetingLabel" runat="server">こんにちは</asp:Label>
        </p>
    </form>
</body>
</html>
